package com.unitesk.requality.eclipse;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.IAdapterFactory;

import com.unitesk.requality.core.TreeDB;
import com.unitesk.requality.eclipse.tools.TreesTracker;

public class TreeDBAdapterFactory implements IAdapterFactory {

    @SuppressWarnings("rawtypes")
    @Override
    public Object getAdapter(Object adaptableObject, Class adapterType) {
        if (adapterType.equals(IProject.class)) {
            return TreesTracker.getTracker().getProject((TreeDB) adaptableObject);
        }
        return null;
    }

    @SuppressWarnings("rawtypes")
    @Override
    public Class[] getAdapterList() {
        return new Class[] { TreeDB.class };
    }

}
