package com.unitesk.requality.eclipse.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.PlatformUI;

import com.unitesk.requality.eclipse.editors.browser.ReqDocBrowser;
import com.unitesk.requality.eclipse.editors.browser.ReqMarker;

public class FindPreviousHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		ReqDocBrowser reqBrowser = null;
		IWorkbenchPart part = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActivePart();
		if (!(part instanceof ReqMarker))
			return null;
		reqBrowser = ((ReqMarker) part).getBrowser();
		if (FindReplaceHandler.SearchString == null || FindReplaceHandler.SearchString.isEmpty())
			return null;
		reqBrowser.findText(FindReplaceHandler.SearchString, false, true, false);
		reqBrowser.setFocus();
		return null;
	}

}
