package com.unitesk.requality.core;

public class Attribute {
    private String key;
    private Object value;
    private AttributeType type;

    public Attribute(AttributeType type, String key, Object value) {
        this.type = type;
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public Object getValue() {
        return value;
    }

    public AttributeType getType() {
        return type;
    }

    @Override
    public String toString() {
        return "key: "+key+" value: "+value + " ("+super.toString()+")";
    }
}
