package com.unitesk.requality.eclipse.editors.browser;

import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;

import com.unitesk.requality.nodetypes.Document;
import com.unitesk.requality.nodetypes.Location;

final class ReqMarkerOutlineContentProvider implements
        ITreeContentProvider {
    @Override
    public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
    }

    @Override
    public void dispose() {
    }

    @Override
    public boolean hasChildren(Object element) {
        return getChildren(element).length>0;
    }

    @Override
    public Object getParent(Object element) {
        return null;
    }

    @Override
    public Object[] getElements(Object inputElement) {
        return getChildren(inputElement);
    }

    @Override
    public Object[] getChildren(Object parentElement) {
        if (parentElement instanceof Document) {
            Document doc = (Document) parentElement;
            Object[] result = new Object[doc.sizeChildren()];
            for (int i = 0; i < result.length; i++) {
                result[i]=doc.getChild(i);
            }
            
            return result;
        }
        if (parentElement instanceof Location) {
            return new Object[]{};
        }
        return null;
    }
}